@echo off

REM ---------------------------------------------------------------------------------------------------
REM Nastaveni
REM ---------------------------------------------------------------------------------------------------

set TOOLPATH=C:\PROGRA~1\OrionXP
set oradir="\\AFS\zcu.cz\i386_nt35\software.xp\orant"
set moduledir="\\AFS\zcu.cz\i386_nt35\software.7"


REM ---------------------------------------------------------------------------------------------------
REM kontrola 
REM ---------------------------------------------------------------------------------------------------

echo Probiha kontrola konektivity ...
echo  PING
for /F %%i in ('call %TOOLPATH%\sys_ping.cmd') do set VYSLEDEK=%%i
if "%VYSLEDEK%" NEQ "pingOK" goto kabel_nezapojen


REM ---------------------------------------------------------------------------------------------------
REM Test IP adresy
REM ---------------------------------------------------------------------------------------------------

echo  IP

for /f "tokens=2 delims=:" %%i in ('"ipconfig | findstr /r .*IP.*:.147\.228\."') do set ipadd=%%i
if not defined ipadd goto chybna_ip

REM (IPv6 dela problemy) echo %ipadd% | findstr 147.228 > nul || goto chybna_ip


REM ---------------------------------------------------------------------------------------------------
REM Test na VPN
REM ---------------------------------------------------------------------------------------------------

echo %ipadd% | findstr "147.228.232 147.228.233" > nul && if not exist %oradir% (
    echo System je pripojen pres VPN, restartuji AFS klienta!
    net stop transarcafsdaemon
    net start transarcafsdaemon
    %toolpath%\bin\sleep.exe 20
)


REM ---------------------------------------------------------------------------------------------------
REM Test funkcnosti AFS
REM ---------------------------------------------------------------------------------------------------

echo  AFS
if not exist %oradir% (
    %toolpath%\bin\gina_dialog.exe "Neni dostune AFS. Program nebude mozne aktualizovat. Chcete pokracovat?" "Chyba AFS"||goto skip_update
    goto end
    )


REM ---------------------------------------------------------------------------------------------------
REM Zajisti automatickou aktualizaci formularu pro UIS
REM ---------------------------------------------------------------------------------------------------

echo Probiha aktualizace Studijni agendy ...
xcopy /d /e /c /r /q /y %oradir%\a_stag32\a_stag2\*.* c:\orant\a_stag2\
xcopy /d /e /c /r /q /y %oradir%\a_stag32\icons\*.* c:\orant\icons\
xcopy /d /e /c /r /q /y %oradir%\a_stag32\tex\*.* c:\orant\tex\
xcopy /d /y /c /q %oradir%\tnsnames.ora c:\orant\NET80\ADMIN\
xcopy /d /y /c /q %oradir%\sqlnet.ora c:\orant\NET80\ADMIN\
if exist \\AFS\zcu.cz\i386_nt35\software.xp\localsw\orant\SystemDrive.dif\orant\tex\dviwin.ini xcopy /d /c /q  \\AFS\zcu.cz\i386_nt35\software.xp\localsw\orant\SystemDrive.dif\orant\tex\dviwin.ini c:\windows\

:skip_update
REM ---------------------------------------------------------------------------------------------------
REM skryti okna
REM ---------------------------------------------------------------------------------------------------

%toolpath%\bin\cmdow @ /HID


REM ---------------------------------------------------------------------------------------------------
REM test ID
REM ---------------------------------------------------------------------------------------------------

set IDSTANICE=4
%toolpath%\bin\reg_read HKLM "Software\OrionXP" "StationID" && for /F %%i IN ('reg_read HKLM "Software\OrionXP" "StationID"') DO @set IDSTANICE=%%i


REM ---------------------------------------------------------------------------------------------------
REM zapis o spusteni magionu (pro statisticke ucely vyuziti sluzby)
REM ---------------------------------------------------------------------------------------------------

call "%TOOLPATH%\usr_db_write.cmd" %IDSTANICE% %username% NTB-login "" stag "" "" "" "" "" %ipadd%


REM oprava TEMPu kvuli tisku
%toolpath%\bin\reg_mod HKLM Software\oracle reports60_TMP %temp%

REM ---------------------------------------------------------------------------------------------------
REM Spusteni stagu
REM ---------------------------------------------------------------------------------------------------

C:\orant\BIN\ifrun60.EXE d_login.fmx


REM ---------------------------------------------------------------------------------------------------
REM aktualizace updatovaciho skriptu
REM ---------------------------------------------------------------------------------------------------

xcopy /d /e /c /r /q /y %moduledir%\orant_ntb\modulefiles\stag.cmd c:\orant\


goto end

:kabel_nezapojen
%toolpath%\bin\gina_mboxt.exe "Neni k dispozici sitova konektivita! Zapojte kabel nebo se pripojte k wifi a spusteni opakujte." "Chyba site" 1
goto end

:neni_afs
%toolpath%\bin\gina_mboxt.exe "Neni k dispozici AFS!" "Chyba AFS" 1
goto end

:chybna_ip
%toolpath%\bin\gina_mboxt.exe "Nemate IP adresu z univerzitniho rozsahu! Pripojte se k siti Eduroam, pripojte kabel nebo zapnete VPN a spusteni opakujte." "Chyba IP" 1
goto end


:end
